1. 27 Mar, 2014 1 commit
    • Milan Crha's avatar
      Drop image-inline plugin · 149db79a
      Milan Crha authored
      The GtkImageView didn't receive any change for the past two years,
      and since Evolution uses WebKitGTK the plugin lost its value. The same
      can be done with WebKit too, in some extent, once someone implements it.
      149db79a
  2. 25 Mar, 2014 2 commits
  3. 24 Mar, 2014 1 commit
  4. 23 Mar, 2014 1 commit
  5. 16 Mar, 2014 1 commit
  6. 12 Mar, 2014 1 commit
  7. 03 Mar, 2014 1 commit
  8. 25 Feb, 2014 1 commit
  9. 23 Feb, 2014 1 commit
  10. 17 Feb, 2014 1 commit
  11. 02 Feb, 2014 1 commit
  12. 21 Jan, 2014 1 commit
  13. 17 Jan, 2014 2 commits
  14. 13 Jan, 2014 1 commit
  15. 18 Dec, 2013 1 commit
  16. 16 Dec, 2013 1 commit
  17. 05 Dec, 2013 1 commit
    • Matthew Barnes's avatar
      Remove audio-inline module. · 45a31136
      Matthew Barnes authored
      Drop our explicit gstreamer requirement and merge audio support directly
      into libevolution-mail-formatter.  We now use the HTML5 <audio> tag and
      let WebKit show much nicer playback controls, with volume and seeking.
      45a31136
  18. 04 Dec, 2013 1 commit
    • Matthew Barnes's avatar
      Remove --enable-strict configure option. · 2cbdd00f
      Matthew Barnes authored
      GLib/GTK+ uses different deprecation macros nowadays.
      
      The MIN_REQUIRED macros do a better job of catching deprecated symbol
      usage up to the minimum build requirement, and the MAX_ALLOWED macros
      catch symbol usage that violates our minimum build requirement.
      
      These newer deprecation macros are always enabled, so we don't need a
      special configure flag for them.
      2cbdd00f
  19. 01 Dec, 2013 1 commit
  20. 29 Nov, 2013 1 commit
  21. 26 Nov, 2013 1 commit
  22. 20 Nov, 2013 1 commit
    • Matthew Barnes's avatar
      Bump minimum libgweather requirement. · af3f22db
      Matthew Barnes authored
      To match evolution-data-server's requirement, as I can't easily tell
      whether libgweather 3.5 is still sufficient for evolution when e-d-s
      requires libgweather 3.8.
      af3f22db
  23. 17 Nov, 2013 1 commit
  24. 11 Nov, 2013 1 commit
  25. 04 Nov, 2013 1 commit
    • Matthew Barnes's avatar
      Bump webkitgtk-3.0 requirement to 2.0.1. · 55e08ff0
      Matthew Barnes authored
      Between 2.0.0 and 2.0.1, webkit_dom_html_style_element_get_sheet()
      silently changed from returning a WebKitDOMStyleSheet to returning
      a WebKitDOMCSSStyleSheet.
      
      EWebView already depends on this newer behavior, which effectively means
      Evolution's WebKitGTK+ dependency is already 2.0.1 or later.  Update the
      minimum webkitgtk-3.0 requirement in configure.ac to reflect this.
      
      WebKitGTK+ 1.10 is old enough now that the bump should not be an issue.
      55e08ff0
  26. 31 Oct, 2013 1 commit
  27. 20 Oct, 2013 1 commit
  28. 27 Sep, 2013 1 commit
  29. 24 Sep, 2013 2 commits
  30. 21 Sep, 2013 1 commit
  31. 15 Sep, 2013 1 commit
  32. 01 Sep, 2013 1 commit
  33. 18 Aug, 2013 1 commit
  34. 28 Jul, 2013 2 commits
    • Matthew Barnes's avatar
      Post-release version bump. · ffe56b08
      Matthew Barnes authored
      ffe56b08
    • Matthew Barnes's avatar
      Add e_web_view_cursor_image_copy(). · 3eda7a50
      Matthew Barnes authored
      Asynchronously copies the image under the cursor to the clipboard.
      
      This replaces the "cursor-image" property, which attempts to match the
      image URI to a subresource from WebKitWebDataSource.  The problem with
      that approach is EMailDisplay redirects several URI schemes to its own
      custom request handlers which further mutate the URI.  So for example,
      a text/html message may use a "cid:" URI to refer to an embedded image,
      which EMailDisplay transforms to a "mail:" URI and finally to a "data:"
      URI.  The final image URI might not be derivable from the original URI
      without retracing the SoupRequest.
      
      The "image-copy" action now calls e_web_view_cursor_image_copy().
      
      This also adds an explicit requirement on gdk-pixbuf-2.0 >= 2.24 for
      gdk_pixbuf_new_from_stream_async() / finish().
      
      New functions:
      
        e_web_view_cursor_image_copy()
      
      Removed functions:
      
        e_web_view_get_cursor_image()
        e_web_view_set_cursor_image()
      3eda7a50
  35. 08 Jul, 2013 1 commit
    • Matthew Barnes's avatar
      Bug 703490 - Stop invoking spamc, just use spamassassin · 3b8a9ed6
      Matthew Barnes authored
      SpamAssassin is clearly not intended for use by mail clients, as
      evidenced by the number of backflips Evolution's SA module still has to
      do just to detect the presence and nature of a running spamd (a problem
      which D-Bus solved a decade ago), and recent SA developer comments.
      
      In lieu of removing SA support entirely, remove all the crazy GSettings
      that are (thankfully) not exposed in the UI and relegate Evolution's SA
      integration to only the most basic usage (spamassassin / sa-learn).
      
      Users are better off with Bogofilter anyway.  Leave SpamAssassin for
      mail servers.
      3b8a9ed6
  36. 07 Jul, 2013 1 commit